> For the complete documentation index, see [llms.txt](https://docs.caf.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.caf.io/caf-sdk/caf-sdk-pt-br/flutter/standalone-modules/faceauthenticator/lifecycle.md).

# Ciclo de vida do SDK

## CafLivenessListener (Flutter)

O `CafLivenessListener` no Flutter lida com eventos-chave durante o processo de detecção de vivacidade do SDK. Abaixo estão os eventos corretos do Flutter que você pode ouvir:

| **Evento**                  | **Descrição**                                                                                              |
| --------------------------- | ---------------------------------------------------------------------------------------------------------- |
| **FaceAuthEventClosed**     | Disparado quando o usuário cancela o processo de detecção de vivacidade.                                   |
| **FaceAuthEventFailure**    | Chamado quando ocorre uma falha no SDK, fornecendo detalhes do erro como `errorType` e `errorDescription`. |
| **FaceAuthEventConnected**  | Disparado quando o SDK é carregado completamente e está pronto para iniciar.                               |
| **FaceAuthEventConnecting** | Indica que o SDK está inicializando ou em processo de carregamento.                                        |
| **FaceAuthEventSuccess**    | Disparado após a detecção de vivacidade bem-sucedida, com o resultado disponível em `signedResponse`.      |

### Exemplo de implementação

Abaixo está um exemplo de como lidar com `CafLivenessListener` eventos no Flutter:

```dart
  void _setupFaceAuthListener(Stream<FaceAuthEvent> stream) {
    stream.listen((event) {
      if (event is FaceAuthEventConnecting) {
        print('Conectando ao FaceAuth...');
      } else if (event is FaceAuthEventConnected) {
        print('Conectado ao FaceAuth.');
      } else if (event is FaceAuthEventClosed) {
        print('SDK encerrado pelo usuário.');
      } else if (event is FaceAuthEventSuccess) {
        print('Sucesso! SignedResponse: ${event.signedResponse}');
      } else if (event is FaceAuthEventFailure) {
        print(
          'Falha! Tipo de erro: ${event.errorType}, '
              'Descrição do erro: ${event.errorDescription}',
        );
      }
    });
  }
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.caf.io/caf-sdk/caf-sdk-pt-br/flutter/standalone-modules/faceauthenticator/lifecycle.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
